ATA_SCSI_RW_XLAT(9)

NAME
ata_scsi_rw_xlat - Translate SCSI r/w command into an ATA one

SYNOPSIS

unsigned int ata_scsi_rw_xlat (struct ata_queued_cmd * qc, const u8 * scsicmd);

ARGUMENTS

qc  Storage for translated ATA taskfile

scsicmd
    SCSI command to translate

DESCRIPTION

Converts any of six SCSI read/write commands into the ATA counterpart, including starting sector (LBA), sector count, and taking into account the device's LBA48 support.

Commands READ_6, READ_10, READ_16, WRITE_6, WRITE_10, and WRITE_16 are currently supported.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Zero on success, non-zero on error.

AUTHOR
Jeff Garzik.